org.freedesktop.DBus.ObjectManager *

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
org.freedesktop.DBus.ObjectManager *
Eldbus » Basic FreeDesktop.Org Methods

## Functions
Eldbus_Pending * | eldbus_object_managed_objects_get (Eldbus_Object *obj, Eldbus_Message_Cb cb, const void *data)
| Call the method "GetManagedObjects" on the eldbus object.
Eldbus_Signal_Handler * | eldbus_object_manager_interfaces_added (Eldbus_Object *obj, Eldbus_Signal_Cb cb, const void *cb_data)
| Register a callback on "InterfacesAdded" signal.
Eldbus_Signal_Handler * | eldbus_object_manager_interfaces_removed (Eldbus_Object *obj, Eldbus_Signal_Cb cb, const void *cb_data)
| Register a callback on "InterfacesRemoved" signal.

## Detailed Description

## Function Documentation

## ◆ eldbus_object_managed_objects_get()

Eldbus_Pending * eldbus_object_managed_objects_get | ( | Eldbus_Object * | obj,
|  | Eldbus_Message_Cb | cb,
|  | const void * | data
| ) |  |

Call the method "GetManagedObjects" on the eldbus object.

Parameters

  obj | A Eldbus object.
  cb | The callback to call when receiving an answer.
  data | The data to pass to the callback.

Returns
  A Eldbus_Pending object corresponding to the message sent.

References ELDBUS_FDO_INTERFACE_OBJECT_MANAGER, eldbus_object_method_call_new(), and eldbus_object_send().

## ◆ eldbus_object_manager_interfaces_added()

Eldbus_Signal_Handler * eldbus_object_manager_interfaces_added | ( | Eldbus_Object * | obj,
|  | Eldbus_Signal_Cb | cb,
|  | const void * | cb_data
| ) |  |

Register a callback on "InterfacesAdded" signal.

Parameters

  obj | The Eldbus object on which to register the callback.
  cb | The callback to be called when receiving the signal.
  cb_data | Data to be passed to the callback.

Returns
  Eldbus_Signal_Handler object representing a listener for "InterfacesAdded" signal.

References ELDBUS_FDO_INTERFACE_OBJECT_MANAGER, and eldbus_object_signal_handler_add().

## ◆ eldbus_object_manager_interfaces_removed()

Eldbus_Signal_Handler * eldbus_object_manager_interfaces_removed | ( | Eldbus_Object * | obj,
|  | Eldbus_Signal_Cb | cb,
|  | const void * | cb_data
| ) |  |

Register a callback on "InterfacesRemoved" signal.

Parameters

  obj | The Eldbus object on which to register the callback.
  cb | The callback to be called when receiving the signal.
  cb_data | Data to be passed to the callback.

Returns
  Eldbus_Signal_Handler object representing a listener for "InterfacesRemoved" signal.

References ELDBUS_FDO_INTERFACE_OBJECT_MANAGER, and eldbus_object_signal_handler_add().